rte_ml_io_info(3)

NAME
rte_ml_io_info

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

char name [RTE_ML_STR_MAX]
uint32_t nb_dims
uint32_t * shape
enum rte_ml_io_type type
uint64_t nb_elements
uint64_t size
float scale
int64_t zero_point

Detailed Description

Input and output data information structure

Specifies the type and shape of input and output data.

Definition at line 938 of file rte_mldev.h.

Field Documentation

  char name[RTE_ML_STR_MAX]
Name of data

Definition at line 939 of file rte_mldev.h.

  uint32_t nb_dims
Number of dimensions in shape

Definition at line 941 of file rte_mldev.h.

  uint32_t* shape
Shape of the tensor for rte_ml_model_info::min_batches of the model.

Definition at line 943 of file rte_mldev.h.

  enum rte_ml_io_type type
Type of data

See also
    enum rte_ml_io_type

Definition at line 945 of file rte_mldev.h.

  uint64_t nb_elements
Number of elements in tensor

Definition at line 949 of file rte_mldev.h.

  uint64_t size
Size of tensor in bytes

Definition at line 951 of file rte_mldev.h.

  float scale
Scale factor

Definition at line 953 of file rte_mldev.h.

  int64_t zero_point
Zero point

Definition at line 955 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.